package org.xiss.index.impl;

import java.io.Serializable;

import org.xiss.index.StructureIndexEntry;

class StructureIndexEntryImpl extends StructureIndexEntry implements
		Serializable {
	public StructureIndexEntryImpl(int id, int size, int nameId, int valueId,
			int parentId, int firstChildId, int firstSiblingId,
			int firstAttributeId) {
		// Again
		this.Id = (id);
		this.Size = (size);
		this.NameId = (nameId);
		this.ValueId = (valueId);
		this.ParentId = (parentId);
		this.FirstChildId = (firstChildId);
		this.FirstSiblingId = (firstSiblingId);
		this.FirstAttributeId = (firstAttributeId);
	}

	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("[");
		sb.append(Id + ":" + Size);
		sb.append(", N=" + NameId);
		sb.append(", V=" + ValueId);
		sb.append(", P=" + ParentId);
		sb.append(", C=" + FirstChildId);
		sb.append(", S=" + FirstSiblingId);
		sb.append(", A=" + FirstAttributeId);
		sb.append("]");
		return sb.toString();
	}
}
