package org.xiss.map;

import net.sf.xanswer.storage.map.PersistentException;

public interface BTreeFactory<K extends Comparable<K>, V> {
	IBTree<K, V> create(String directory, String name)
			throws PersistentException;

	IBTree<K, V> create(String directory, String name, int cacheCapacity)
			throws PersistentException;

	IBTree<K, V> open(String directory, String name) throws PersistentException;

	IBTree<K, V> open(String directory, String name, int cacheCapacity)
			throws PersistentException;
}
