package org.xiss.query.operations;

import java.util.Stack;

import net.sf.xanswer.indexing.IndexException;

import org.xiss.index.IXissIndex;
import org.xiss.query.IResult;
import org.xiss.query.IXissOperation;
import org.xiss.query.impl.SingleNodeResult;

/**
 * Selects the root node
 */
public class SelectRootOperation implements IXissOperation {
	public SelectRootOperation() {
	}

	public void run(IXissIndex index, Stack<IResult> context)
			throws IndexException {
		context.push(new SingleNodeResult(index.getRootElementIndexEntry()));
	}

	public String toString() {
		return "ROOT";
	}
}
